Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.alui.proxy
Interface IProxyRequest

All Superinterfaces:
  IGenericRequest

public interface IProxyRequest
extends IGenericRequest

Represents the data available in a request made to a pagelet. Pagelets are remote user interface components that can represent widgets or entire applications.

Method Summary
`IEnvironment` | `getEnvironment()` Gets an `IEnvironment` instance that provides information about the environment in which this proxied resource is being requested.
`java.net.URL` | `getHostPageURI()` Returns the URI for the page in which the pagelet is currently displayed.
`java.lang.String` | `getIdentifier()` Gets the identifier for this resource.
`java.net.URL` | `getImageServerURI()` Returns the URI for the image server for the the application container or runtime environment in which the pagelet is currently displayed.
`java.lang.String` | `getInstanceIdentifier()` Gets the instance identifier for the requested resource.
`IPayload` | `getPayload()` Gets the optional payload information that may be available for this request.
`java.lang.String` | `getSetting(java.lang.String name)` Gets a setting value with the given `name`.
`java.net.URL` | `getStylesheetURI()` Returns the URI for the stylesheet for the page in which the pagelet is currently displayed.
`IProxyUser` | `getUser()` Gets the `IProxyUser` representing the user making a pagelet request.

Methods inherited from interface com.plumtree.remote.portlet.IGenericRequest
`getLoginToken, getRemoteAPIEndpoint`

Method Detail

### getEnvironment

    public IEnvironment getEnvironment()

  Gets an `IEnvironment` instance that provides information about the environment in which this proxied resource is being requested. Note: The environment type describes the nature of the request and not the nature of the application container or runtime environment.

  Returns:
    an IEnvironment instance

### getIdentifier

    public java.lang.String getIdentifier()

  Gets the identifier for this resource. For pagelets, this will be the name of the pagelet. For resources, this will be the name of the resource.

  Returns:
    the proxy identifier
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### getInstanceIdentifier

    public java.lang.String getInstanceIdentifier()

  Gets the instance identifier for the requested resource. The instance identifier can be used to create names that are unique to this pagelet. For example, such names can be useful when rendering HTML to ensure unique element identifiers.

  Returns:
    the instance identifier
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### getPayload

    public IPayload getPayload()

  Gets the optional payload information that may be available for this request.

  Returns:
    the `IPayload`

### getSetting

    public java.lang.String getSetting(java.lang.String name)

  Gets a setting value with the given `name`.

  Parameters:
    `name` - the name of the setting to retrieve
  Returns:
    the value of the setting and `null` if the setting was not sent
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### getUser

    public IProxyUser getUser()

  Gets the `IProxyUser` representing the user making a pagelet request.

  Returns:

### getHostPageURI

    public java.net.URL getHostPageURI()

  Returns the URI for the page in which the pagelet is currently displayed.

  Returns:
    the URI for the page, or null if the pagelet is run as a job
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### getImageServerURI

    public java.net.URL getImageServerURI()

  Returns the URI for the image server for the the application container or runtime environment in which the pagelet is currently displayed.

  Returns:
    the URI for the portal image server, or null if the pagelet is run as a job
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### getStylesheetURI

    public java.net.URL getStylesheetURI()

  Returns the URI for the stylesheet for the page in which the pagelet is currently displayed.

  Returns:
    the URI for the stylesheet, or null if the pagelet is run as a job
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.